PLUGIN_NAME=dummy

all: protos build

protos:
	@echo ""
	@echo "Build Protos"

	protoc -I . --go_out=plugins=grpc:. --go_opt=paths=source_relative ./builder/output.proto
	protoc -I . --go_out=plugins=grpc:. --go_opt=paths=source_relative ./platform/output.proto
	protoc -I . --go_out=plugins=grpc:. --go_opt=paths=source_relative ./release/output.proto

build:
	@echo ""
	@echo "Compile Plugin"

	go build -o ./bin/waypoint-plugin-${PLUGIN_NAME} ./main.go